XScreenSaver(1)

NAME
glblur - 3D radial blur texture fields

SYNOPSIS
menger [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-blursize number] [-no-wander] [-no-spin] [-spin [XYZ]] [-fps]

DESCRIPTION
This program draws a box and a few line segments, and generates a radial blur outward from it. This creates flowing field effects. This is done by rendering the scene into a small texture, then repeatedly rendering increasingly-enlarged and increasingly-transparent versions of that texture onto the frame buffer. As such, it's quite graphics intensive: don't bother trying to run this if you don't have hardware-accelerated texture support. It will hurt your machine bad.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

-blursize number
    How many copies of the scene should be laid down to make the vapor trail. Default: 15. Larger numbers create smoother fields, but are slower.

-wander | -no-wander
    Whether the object should wander around the screen.

-spin [XYZ]
    Around which axes should the object spin?

-no-spin
    None.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski, with inspiration from a tutorial by Dario Corno.